Update testsuite.

This commit is contained in:
Markus F.X.J. Oberhumer
2016-10-06 01:26:01 +02:00
parent d335d7bafd
commit 8f5e89c900
3 changed files with 75 additions and 31 deletions
+25 -22
View File
@@ -141,6 +141,31 @@ help$(objext): $(MAKEFILE_LIST)
endif
# "make run-testsuite"
#
# search for the UPX testsuite -- git clone https://github.com/upx/upx-testsuite.git
# you also can set upx_testsuite_SRCDIR
ifndef upx_testsuite_SRCDIR
# search standard locations below $(top_srcdir)
ifneq ($(wildcard $(top_srcdir)/../upx-testsuite.git/files/packed/.),)
upx_testsuite_SRCDIR := $(top_srcdir)/../upx-testsuite.git
else ifneq ($(wildcard $(top_srcdir)/../upx-testsuite/files/packed/.),)
upx_testsuite_SRCDIR := $(top_srcdir)/../upx-testsuite
endif
endif
# run the UPX testsuite
ifneq ($(wildcard $(upx_testsuite_SRCDIR)/files/packed/.),)
ifneq ($(wildcard $(top_srcdir)/.github/travis_testsuite_1.sh),)
run-testsuite: export upx_exe := ./upx$(exeext)
run-testsuite: export upx_testsuite_SRCDIR := $(upx_testsuite_SRCDIR)
run-testsuite: export upx_testsuite_BUILDDIR := ./tmp-testsuite
run-testsuite: ./upx$(exeext)
time -p bash $(top_srcdir)/.github/travis_testsuite_1.sh
.PHONY: run-testsuite
endif
endif
# automatically format some C++ source code files
ifeq ($(shell uname),Linux)
CLANG_FORMAT_FILES += packhead.cpp
@@ -153,26 +178,4 @@ clang-format:
.PHONY: clang-format
endif
# run the UPX testsuite - git clone https://github.com/upx/upx-testsuite.git
# you have to set upx_testsuite_SRCDIR
ifneq ($(wildcard $(top_srcdir)/.github/travis_testsuite_1.sh),)
ifndef upx_testsuite_SRCDIR
# search standard locations below $(top_srcdir)
ifneq ($(wildcard $(top_srcdir)/../upx-testsuite.git/files/packed/.),)
upx_testsuite_SRCDIR := $(top_srcdir)/../upx-testsuite.git
else ifneq ($(wildcard $(top_srcdir)/../upx-testsuite/files/packed/.),)
upx_testsuite_SRCDIR := $(top_srcdir)/../upx-testsuite
endif
endif
ifneq ($(wildcard $(upx_testsuite_SRCDIR)/files/packed/.),)
run-testsuite: export upx_exe := ./upx$(exeext)
run-testsuite: export upx_testsuite_SRCDIR := $(upx_testsuite_SRCDIR)
run-testsuite: export upx_testsuite_BUILDDIR := ./tmp-testsuite
run-testsuite: ./upx$(exeext)
time -p bash $(top_srcdir)/.github/travis_testsuite_1.sh
.PHONY: run-testsuite
endif
endif
# vim:set ts=8 sw=8 noet:
+6 -4
View File
@@ -1,15 +1,17 @@
#!/bin/sh
set -e
#! /usr/bin/env bash
## vim:set ts=4 sw=4 et:
set -e; set -o pipefail
# NOTE: we are using clang-format-3.9.0 from upx-stubtools
# see https://github.com/upx/upx-stubtools/releases
CLANG_FORMAT="$HOME/local/bin/bin-upx/clang-format-3.9.0"
if ! test -f "$CLANG_FORMAT"; then
if [[ ! -f $CLANG_FORMAT ]]; then
CLANG_FORMAT="$HOME/bin/bin-upx/clang-format-3.9.0"
fi
if ! test -f "$CLANG_FORMAT"; then
if [[ ! -f $CLANG_FORMAT ]]; then
echo "ERROR: $0: cannot find clang-format-3.9.0"
echo "ERROR: $0: please visit https://github.com/upx/upx-stubtools/releases"
exit 1
fi